package models

import (

	"go-admin/common/models"

)

type LinePreScript struct {
    models.Model
    
    ApiId int64 `json:"apiId" gorm:"type:int unsigned;comment:api用户"` 
    ScriptNum int64 `json:"scriptNum" gorm:"type:int unsigned;comment:脚本批次"` 
    ScriptParams string `json:"scriptParams" gorm:"type:text;comment:脚本参数"` 
    Status string `json:"status" gorm:"type:enum('0','1','2');comment:执行状态:0=等待执行,1=执行中,2=执行结束"` 
    Desc string `json:"desc" gorm:"type:longtext;comment:运行备注"` 
    AdminId int64 `json:"adminId" gorm:"type:int unsigned;comment:管理员id"` 
    models.ModelTime
    models.ControlBy
}

func (LinePreScript) TableName() string {
    return "line_pre_script"
}

func (e *LinePreScript) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LinePreScript) GetId() interface{} {
	return e.Id
}